#
# spec file for package perl-Email-Send
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Email-Send
Name:           perl-Email-Send
Version:        2.202.0
Release:        1.4
# 2.202 -> normalize -> 2.202.0
%define cpan_version 2.202
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Simply Sending Email
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{cpan_version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Email::Abstract)
BuildRequires:  perl(Email::Address) >= 1.80
BuildRequires:  perl(Email::Simple) >= 1.92
BuildRequires:  perl(MIME::Entity)
BuildRequires:  perl(Mail::Internet)
BuildRequires:  perl(Module::Pluggable) >= 2.97
BuildRequires:  perl(Return::Value)
Requires:       perl(Email::Abstract)
Requires:       perl(Email::Address) >= 1.80
Requires:       perl(Email::Simple) >= 1.92
Requires:       perl(Module::Pluggable) >= 2.97
Requires:       perl(Return::Value)
Provides:       perl(Email::Send) = %{version}
Provides:       perl(Email::Send::NNTP) = %{version}
Provides:       perl(Email::Send::Qmail) = %{version}
Provides:       perl(Email::Send::SMTP) = %{version}
Provides:       perl(Email::Send::Sendmail) = %{version}
Provides:       perl(Email::Send::Test) = %{version}
%undefine       __perllib_provides
%{perl_requires}

%description
This module provides a very simple, very clean, very specific interface to
multiple Email mailers. The goal of this software is to be small and
simple, easy to use, and easy to extend.

%prep
%autosetup  -n %{cpan_name}-%{cpan_version}

find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -path "*/scripts/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README.md util
%license LICENSE

%changelog
* Sat Aug 17 2024 Tina Müller <timueller+perl@suse.de>
- updated to 2.202.0 (2.202)
  see /usr/share/doc/packages/perl-Email-Send/Changes
  2.202     2024-08-16
  * * PLEASE CONSIDER USING EMAIL-SENDER INSTEAD **
  - Updated documentation to add contributors list.
  - Common git and build files added to keep the repo clean.
  - Updated distribution to keep author tests in xt/author.
  - Updated distribution to keep release tests in xt/release.
  - Make use of 'our' instead of use vars since 5.6 is a minimum.
  - Add a README.md
* Tue Apr 14 2015 coolo@suse.com
- updated to 2.201
  see /usr/share/doc/packages/perl-Email-Send/Changes
  2.201     2015-03-05
  * * PLEASE CONSIDER USING EMAIL-SENDER INSTEAD **
    add x_deprecated metadata
  2.200     2015-02-25
  * * PLEASE CONSIDER USING EMAIL-SENDER INSTEAD **
    when trying to pick the first available mailer, never pick Test
  2.199     2013-08-18
  * * PLEASE CONSIDER USING EMAIL-SENDER INSTEAD **
    stop warning from Return::Value; if it didn't switch you to
    Email::Sender by now, it isn't gonna
    cope with irritating differences between Net::SMTP and Net::SMTP::TLS
    (thanks, Yanick Champoux!)
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Tue Nov 30 2010 coolo@novell.com
- fix file list
* Mon Jun  7 2010 dmueller@suse.de
- update to 2.198
